clang 10.0.0git

Public Member Functions | List of all members
clang::ASTIdentifierIterator Class Reference

An identifier-lookup iterator that enumerates all of the identifiers stored within a set of AST files. More...

Inheritance diagram for clang::ASTIdentifierIterator:
[legend]
Collaboration diagram for clang::ASTIdentifierIterator:
[legend]

## Public Member Functions
| ASTIdentifierIterator (const ASTReader &Reader, bool SkipModules=false)
StringRef | Next () override
| Retrieve the next string in the identifier table and advances the iterator for the following string. More...
Public Member Functions inherited from clang::IdentifierIterator
| IdentifierIterator (const IdentifierIterator &)=delete
IdentifierIterator & | operator= (const IdentifierIterator &)=delete
virtual | ~IdentifierIterator ()

## Additional Inherited Members
Protected Member Functions inherited from clang::IdentifierIterator
| IdentifierIterator ()=default

## Detailed Description

An identifier-lookup iterator that enumerates all of the identifiers stored within a set of AST files.

Definition at line 7871 of file ASTReader.cpp.

## Constructor & Destructor Documentation

## ◆ ASTIdentifierIterator()

ASTIdentifierIterator::ASTIdentifierIterator | ( | const ASTReader & | Reader,
|  | bool | SkipModules = `false`
| ) |  |
| explicit

Definition at line 7899 of file ASTReader.cpp.

Referenced by clang::ASTReader::getIdentifiers().

## Member Function Documentation

## ◆ Next()

StringRef ASTIdentifierIterator::Next | ( |  | ) |
| override virtual

Retrieve the next string in the identifier table and advances the iterator for the following string.

Returns
  The next string in the identifier table. If there is no such string, returns an empty `StringRef`.

Implements clang::IdentifierIterator.

Definition at line 7904 of file ASTReader.cpp.

References clang::First, clang::serialization::ModuleFile::IdentifierLookupTable, clang::serialization::ModuleFile::isModule(), and clang::Result.

The documentation for this class was generated from the following file:

- lib/Serialization/ASTReader.cpp